// MAIN.C
// This is the main program that that calls an the external sum function (defined in ext.c) and 
// also calculates the sum of two variables located in an external file.  
// The purpose of this example is to show how to use the LDF file and the 
// SEGMENT keyword to place code and variables in alternate memory segments. 



extern int sum(int a,int b);							// the function sum resides in an alternate code segment 
static section ("alt_dmda") int ext_a=0xa, ext_b=0xb; 	// these variables reside in an alternate data segment 


void main(void)
{
	int i=5;					// global variable declarations 
	int j=3;
	int total;
	i = sum(i,j);				// call sum function declared in alternate code segment 
	total=ext_a+ext_b;			// add integers declared in alternate data segment 
	idle();
}
